Axis2 Upgrade to latest version

classic Classic list List threaded Threaded
8 messages Options
Reply | Threaded
Open this post in threaded view
|

Axis2 Upgrade to latest version

akash prasad
Hi Team,

Initially my Axis2 server was developed in 1.5.6 and now upgrading to the latest version. By looking into the release notes upgraded all the dependent libraries. Now i am facing the error as "Session creation forbidden" when i try to browse the list of services and also i am getting 500 error for the other requests, after looking into the source code found that "ForbidSessionCreationWrapper " has been included in 1.7.4 version. Is there any configuration change required to make it compatible my application with Axis2 latest version.

Even i have made changes to my application as per the changes did for "Session Fixation" https://github.com/apache/axis2-java/commit/0959a27a51e844c7381ec1ad8a411861bba09b98 

Can you please provide some help with this.

Thanks in advance.

Regards,
Akash Prasad.
Reply | Threaded
Open this post in threaded view
|

Re: Axis2 Upgrade to latest version

Andreas Veithen-2
My guess is that your Web app still has the JSP files from the old
Axis2 version. That won't work.

Andreas

On Wed, Dec 6, 2017 at 12:17 PM, akash prasad <[hidden email]> wrote:

> Hi Team,
>
> Initially my Axis2 server was developed in 1.5.6 and now upgrading to the
> latest version. By looking into the release notes upgraded all the dependent
> libraries. Now i am facing the error as "Session creation forbidden" when i
> try to browse the list of services and also i am getting 500 error for the
> other requests, after looking into the source code found that
> "ForbidSessionCreationWrapper " has been included in 1.7.4 version. Is there
> any configuration change required to make it compatible my application with
> Axis2 latest version.
>
> Even i have made changes to my application as per the changes did for
> "Session Fixation"
> https://github.com/apache/axis2-java/commit/0959a27a51e844c7381ec1ad8a411861bba09b98
>
> Can you please provide some help with this.
>
> Thanks in advance.
>
> Regards,
> Akash Prasad.

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Axis2 Upgrade to latest version

akash prasad
Yes one of the jsp file have not updated. But still i am not able to see my services. Is there any configuration changes or need to add any other node or so in services.xml file.
I have compared with the samples as well. I couldn't find any difference but not sure though.

On Wed, Dec 6, 2017 at 7:14 PM, Andreas Veithen <[hidden email]> wrote:
My guess is that your Web app still has the JSP files from the old
Axis2 version. That won't work.

Andreas

On Wed, Dec 6, 2017 at 12:17 PM, akash prasad <[hidden email]> wrote:
> Hi Team,
>
> Initially my Axis2 server was developed in 1.5.6 and now upgrading to the
> latest version. By looking into the release notes upgraded all the dependent
> libraries. Now i am facing the error as "Session creation forbidden" when i
> try to browse the list of services and also i am getting 500 error for the
> other requests, after looking into the source code found that
> "ForbidSessionCreationWrapper " has been included in 1.7.4 version. Is there
> any configuration change required to make it compatible my application with
> Axis2 latest version.
>
> Even i have made changes to my application as per the changes did for
> "Session Fixation"
> https://github.com/apache/axis2-java/commit/0959a27a51e844c7381ec1ad8a411861bba09b98
>
> Can you please provide some help with this.
>
> Thanks in advance.
>
> Regards,
> Akash Prasad.

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]


Reply | Threaded
Open this post in threaded view
|

Re: Axis2 Upgrade to latest version

robertlazarski .


On Wed, Dec 6, 2017 at 9:00 AM, akash prasad <[hidden email]> wrote:
Yes one of the jsp file have not updated. But still i am not able to see my services. Is there any configuration changes or need to add any other node or so in services.xml file.
I have compared with the samples as well. I couldn't find any difference but not sure though.

On Wed, Dec 6, 2017 at 7:14 PM, Andreas Veithen <[hidden email]> wrote:
My guess is that your Web app still has the JSP files from the old
Axis2 version. That won't work.

Andreas

On Wed, Dec 6, 2017 at 12:17 PM, akash prasad <[hidden email]> wrote:
> Hi Team,
>
> Initially my Axis2 server was developed in 1.5.6 and now upgrading to the
> latest version. By looking into the release notes upgraded all the dependent
> libraries. Now i am facing the error as "Session creation forbidden" when i
> try to browse the list of services and also i am getting 500 error for the
> other requests, after looking into the source code found that
> "ForbidSessionCreationWrapper " has been included in 1.7.4 version. Is there
> any configuration change required to make it compatible my application with
> Axis2 latest version.
>
> Even i have made changes to my application as per the changes did for
> "Session Fixation"
> https://github.com/apache/axis2-java/commit/0959a27a51e844c7381ec1ad8a411861bba09b98
>
> Can you please provide some help with this.
>
> Thanks in advance.
>
> Regards,
> Akash Prasad.

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]



You should be able to hit localhost:8080/axis2-web/ or whatever your url is, and see the "happy axis2" page.

One quick thing to verify is your axis2.war/axis2-web and axis2.war/WEB-INF/include dirs match the supplied dirs in the axis2 distro.

Kind regards,
Robert


Reply | Threaded
Open this post in threaded view
|

Re: Axis2 Upgrade to latest version

robertlazarski .


On Wed, Dec 6, 2017 at 10:35 AM, robertlazarski . <[hidden email]> wrote:


On Wed, Dec 6, 2017 at 9:00 AM, akash prasad <[hidden email]> wrote:
Yes one of the jsp file have not updated. But still i am not able to see my services. Is there any configuration changes or need to add any other node or so in services.xml file.
I have compared with the samples as well. I couldn't find any difference but not sure though.

On Wed, Dec 6, 2017 at 7:14 PM, Andreas Veithen <[hidden email]> wrote:
My guess is that your Web app still has the JSP files from the old
Axis2 version. That won't work.

Andreas

On Wed, Dec 6, 2017 at 12:17 PM, akash prasad <[hidden email]> wrote:
> Hi Team,
>
> Initially my Axis2 server was developed in 1.5.6 and now upgrading to the
> latest version. By looking into the release notes upgraded all the dependent
> libraries. Now i am facing the error as "Session creation forbidden" when i
> try to browse the list of services and also i am getting 500 error for the
> other requests, after looking into the source code found that
> "ForbidSessionCreationWrapper " has been included in 1.7.4 version. Is there
> any configuration change required to make it compatible my application with
> Axis2 latest version.
>
> Even i have made changes to my application as per the changes did for
> "Session Fixation"
> https://github.com/apache/axis2-java/commit/0959a27a51e844c7381ec1ad8a411861bba09b98
>
> Can you please provide some help with this.
>
> Thanks in advance.
>
> Regards,
> Akash Prasad.

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]



You should be able to hit localhost:8080/axis2-web/ or whatever your url is, and see the "happy axis2" page.

One quick thing to verify is your axis2.war/axis2-web and axis2.war/WEB-INF/include dirs match the supplied dirs in the axis2 distro.

Kind regards,
Robert



Looked more into this ... there is also another dir needed, axis2.war/WEB-INF/views .

Also seeing this error when clicking axis2-web/HappyAxis.jsp , seems to referencing an older httpclient class no longer in the distro, maybe Andreas can comment.


INFO   | jvm 1    | 2017/12/06 13:05:45 | Caused by: javax.servlet.ServletException: java.lang.NoClassDefFoundError: org/apache/commons/httpclient/HttpConnectionManager
INFO   | jvm 1    | 2017/12/06 13:05:45 |       at org.apache.jasper.runtime.PageContextImpl.doHandlePageException(PageContextImpl.java:889)
INFO   | jvm 1    | 2017/12/06 13:05:45 |       at org.apache.jasper.runtime.PageContextImpl.handlePageException(PageContextImpl.java:818)
INFO   | jvm 1    | 2017/12/06 13:05:45 |       at org.apache.jsp.axis2_002dweb.HappyAxis_jsp._jspService(HappyAxis_jsp.java:567)
INFO   | jvm 1    | 2017/12/06 13:05:45 |       at org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:70)
INFO   | jvm 1    | 2017/12/06 13:05:45 |       at javax.servlet.http.HttpServlet.service(HttpServlet.java:790)
INFO   | jvm 1    | 2017/12/06 13:05:45 |       at org.apache.jasper.servlet.JspServletWrapper.service(JspServletWrapper.java:433)
INFO   | jvm 1    | 2017/12/06 13:05:45 |       ... 61 more
INFO   | jvm 1    | 2017/12/06 13:05:45 | Caused by: java.lang.NoClassDefFoundError: org/apache/commons/httpclient/HttpConnectionManager
INFO   | jvm 1    | 2017/12/06 13:05:45 |       at org.apache.axis2.transport.http.CommonsHTTPTransportSender.createHTTPSender(CommonsHTTPTransportSender.java:414)
INFO   | jvm 1    | 2017/12/06 13:05:45 |       at org.apache.axis2.transport.http.CommonsHTTPTransportSender.writeMessageWithCommons(CommonsHTTPTransportSender.java:380)

Reply | Threaded
Open this post in threaded view
|

Re: Axis2 Upgrade to latest version

robertlazarski .


On Wed, Dec 6, 2017 at 11:14 AM, robertlazarski . <[hidden email]> wrote:


On Wed, Dec 6, 2017 at 10:35 AM, robertlazarski . <[hidden email]> wrote:


On Wed, Dec 6, 2017 at 9:00 AM, akash prasad <[hidden email]> wrote:
Yes one of the jsp file have not updated. But still i am not able to see my services. Is there any configuration changes or need to add any other node or so in services.xml file.
I have compared with the samples as well. I couldn't find any difference but not sure though.

On Wed, Dec 6, 2017 at 7:14 PM, Andreas Veithen <[hidden email]> wrote:
My guess is that your Web app still has the JSP files from the old
Axis2 version. That won't work.

Andreas

On Wed, Dec 6, 2017 at 12:17 PM, akash prasad <[hidden email]> wrote:
> Hi Team,
>
> Initially my Axis2 server was developed in 1.5.6 and now upgrading to the
> latest version. By looking into the release notes upgraded all the dependent
> libraries. Now i am facing the error as "Session creation forbidden" when i
> try to browse the list of services and also i am getting 500 error for the
> other requests, after looking into the source code found that
> "ForbidSessionCreationWrapper " has been included in 1.7.4 version. Is there
> any configuration change required to make it compatible my application with
> Axis2 latest version.
>
> Even i have made changes to my application as per the changes did for
> "Session Fixation"
> https://github.com/apache/axis2-java/commit/0959a27a51e844c7381ec1ad8a411861bba09b98
>
> Can you please provide some help with this.
>
> Thanks in advance.
>
> Regards,
> Akash Prasad.

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]



You should be able to hit localhost:8080/axis2-web/ or whatever your url is, and see the "happy axis2" page.

One quick thing to verify is your axis2.war/axis2-web and axis2.war/WEB-INF/include dirs match the supplied dirs in the axis2 distro.

Kind regards,
Robert



Looked more into this ... there is also another dir needed, axis2.war/WEB-INF/views .

Also seeing this error when clicking axis2-web/HappyAxis.jsp , seems to referencing an older httpclient class no longer in the distro, maybe Andreas can comment.


INFO   | jvm 1    | 2017/12/06 13:05:45 | Caused by: javax.servlet.ServletException: java.lang.NoClassDefFoundError: org/apache/commons/httpclient/HttpConnectionManager
INFO   | jvm 1    | 2017/12/06 13:05:45 |       at org.apache.jasper.runtime.PageContextImpl.doHandlePageException(PageContextImpl.java:889)
INFO   | jvm 1    | 2017/12/06 13:05:45 |       at org.apache.jasper.runtime.PageContextImpl.handlePageException(PageContextImpl.java:818)
INFO   | jvm 1    | 2017/12/06 13:05:45 |       at org.apache.jsp.axis2_002dweb.HappyAxis_jsp._jspService(HappyAxis_jsp.java:567)
INFO   | jvm 1    | 2017/12/06 13:05:45 |       at org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:70)
INFO   | jvm 1    | 2017/12/06 13:05:45 |       at javax.servlet.http.HttpServlet.service(HttpServlet.java:790)
INFO   | jvm 1    | 2017/12/06 13:05:45 |       at org.apache.jasper.servlet.JspServletWrapper.service(JspServletWrapper.java:433)
INFO   | jvm 1    | 2017/12/06 13:05:45 |       ... 61 more
INFO   | jvm 1    | 2017/12/06 13:05:45 | Caused by: java.lang.NoClassDefFoundError: org/apache/commons/httpclient/HttpConnectionManager
INFO   | jvm 1    | 2017/12/06 13:05:45 |       at org.apache.axis2.transport.http.CommonsHTTPTransportSender.createHTTPSender(CommonsHTTPTransportSender.java:414)
INFO   | jvm 1    | 2017/12/06 13:05:45 |       at org.apache.axis2.transport.http.CommonsHTTPTransportSender.writeMessageWithCommons(CommonsHTTPTransportSender.java:380)


Actually I see the problem, I missed a spot in axis2.xml that needs to replace CommonsHTTPTransportSender
with org.apache.axis2.transport.http.impl.httpclient4.HTTPClient4TransportSender .

Seeing this error now when clicking happyaxis.jsp , TBH I always click /listservices .  May look more into this later.

INFO   | jvm 1    | 2017/12/06 13:41:29 | Caused by: javax.servlet.ServletException: java.lang.NoClassDefFoundError: org/apache/commons/httpclient/NTCredentials

-R
Reply | Threaded
Open this post in threaded view
|

Re: Axis2 Upgrade to latest version

akash prasad
Hi,

By debugging i figured out the problem as in latest version there has been some new configuration added and those was missing in my component. After doing that i am getting the below exception

Caused by: java.lang.ClassCastException: org.apache.axis2.saaj.SOAPElementImpl cannot be cast to org.apache.axiom.om.impl.dom.NodeImpl
at org.apache.axiom.om.impl.dom.ParentNode.checkNewChild(ParentNode.java:51) ~[axiom-dom-1.2.19.jar:?]
at org.apache.axiom.om.impl.dom.ParentNode.appendChild(ParentNode.java:39) ~[axiom-dom-1.2.19.jar:?]

I can see there has been one ticket raised for this (https://issues.apache.org/jira/browse/AXIS2-5770).

Is this really a bug or any change is required to work this.

Thanks in advance.

Regards,
Akash Prasad.


On Thu, Dec 7, 2017 at 12:15 AM, robertlazarski . <[hidden email]> wrote:


On Wed, Dec 6, 2017 at 11:14 AM, robertlazarski . <[hidden email]> wrote:


On Wed, Dec 6, 2017 at 10:35 AM, robertlazarski . <[hidden email]> wrote:


On Wed, Dec 6, 2017 at 9:00 AM, akash prasad <[hidden email]> wrote:
Yes one of the jsp file have not updated. But still i am not able to see my services. Is there any configuration changes or need to add any other node or so in services.xml file.
I have compared with the samples as well. I couldn't find any difference but not sure though.

On Wed, Dec 6, 2017 at 7:14 PM, Andreas Veithen <[hidden email]> wrote:
My guess is that your Web app still has the JSP files from the old
Axis2 version. That won't work.

Andreas

On Wed, Dec 6, 2017 at 12:17 PM, akash prasad <[hidden email]> wrote:
> Hi Team,
>
> Initially my Axis2 server was developed in 1.5.6 and now upgrading to the
> latest version. By looking into the release notes upgraded all the dependent
> libraries. Now i am facing the error as "Session creation forbidden" when i
> try to browse the list of services and also i am getting 500 error for the
> other requests, after looking into the source code found that
> "ForbidSessionCreationWrapper " has been included in 1.7.4 version. Is there
> any configuration change required to make it compatible my application with
> Axis2 latest version.
>
> Even i have made changes to my application as per the changes did for
> "Session Fixation"
> https://github.com/apache/axis2-java/commit/0959a27a51e844c7381ec1ad8a411861bba09b98
>
> Can you please provide some help with this.
>
> Thanks in advance.
>
> Regards,
> Akash Prasad.

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]



You should be able to hit localhost:8080/axis2-web/ or whatever your url is, and see the "happy axis2" page.

One quick thing to verify is your axis2.war/axis2-web and axis2.war/WEB-INF/include dirs match the supplied dirs in the axis2 distro.

Kind regards,
Robert



Looked more into this ... there is also another dir needed, axis2.war/WEB-INF/views .

Also seeing this error when clicking axis2-web/HappyAxis.jsp , seems to referencing an older httpclient class no longer in the distro, maybe Andreas can comment.


INFO   | jvm 1    | 2017/12/06 13:05:45 | Caused by: javax.servlet.ServletException: java.lang.NoClassDefFoundError: org/apache/commons/httpclient/HttpConnectionManager
INFO   | jvm 1    | 2017/12/06 13:05:45 |       at org.apache.jasper.runtime.PageContextImpl.doHandlePageException(PageContextImpl.java:889)
INFO   | jvm 1    | 2017/12/06 13:05:45 |       at org.apache.jasper.runtime.PageContextImpl.handlePageException(PageContextImpl.java:818)
INFO   | jvm 1    | 2017/12/06 13:05:45 |       at org.apache.jsp.axis2_002dweb.HappyAxis_jsp._jspService(HappyAxis_jsp.java:567)
INFO   | jvm 1    | 2017/12/06 13:05:45 |       at org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:70)
INFO   | jvm 1    | 2017/12/06 13:05:45 |       at javax.servlet.http.HttpServlet.service(HttpServlet.java:790)
INFO   | jvm 1    | 2017/12/06 13:05:45 |       at org.apache.jasper.servlet.JspServletWrapper.service(JspServletWrapper.java:433)
INFO   | jvm 1    | 2017/12/06 13:05:45 |       ... 61 more
INFO   | jvm 1    | 2017/12/06 13:05:45 | Caused by: java.lang.NoClassDefFoundError: org/apache/commons/httpclient/HttpConnectionManager
INFO   | jvm 1    | 2017/12/06 13:05:45 |       at org.apache.axis2.transport.http.CommonsHTTPTransportSender.createHTTPSender(CommonsHTTPTransportSender.java:414)
INFO   | jvm 1    | 2017/12/06 13:05:45 |       at org.apache.axis2.transport.http.CommonsHTTPTransportSender.writeMessageWithCommons(CommonsHTTPTransportSender.java:380)


Actually I see the problem, I missed a spot in axis2.xml that needs to replace CommonsHTTPTransportSender
with org.apache.axis2.transport.http.impl.httpclient4.HTTPClient4TransportSender .

Seeing this error now when clicking happyaxis.jsp , TBH I always click /listservices .  May look more into this later.

INFO   | jvm 1    | 2017/12/06 13:41:29 | Caused by: javax.servlet.ServletException: java.lang.NoClassDefFoundError: org/apache/commons/httpclient/NTCredentials

-R

Reply | Threaded
Open this post in threaded view
|

Re: Axis2 Upgrade to latest version

Andreas Veithen-2
On Fri, Dec 8, 2017 at 6:32 AM, akash prasad <[hidden email]> wrote:

> Hi,
>
> By debugging i figured out the problem as in latest version there has been
> some new configuration added and those was missing in my component. After
> doing that i am getting the below exception
>
> Caused by: java.lang.ClassCastException:
> org.apache.axis2.saaj.SOAPElementImpl cannot be cast to
> org.apache.axiom.om.impl.dom.NodeImpl
> at org.apache.axiom.om.impl.dom.ParentNode.checkNewChild(ParentNode.java:51)
> ~[axiom-dom-1.2.19.jar:?]
> at org.apache.axiom.om.impl.dom.ParentNode.appendChild(ParentNode.java:39)
> ~[axiom-dom-1.2.19.jar:?]
>
> I can see there has been one ticket raised for this
> (https://issues.apache.org/jira/browse/AXIS2-5770).

AXIS2-5770 will be fixed in the next release. However, that's not the
same error.

>
> Is this really a bug or any change is required to work this.
>
> Thanks in advance.
>
> Regards,
> Akash Prasad.
>
>
> On Thu, Dec 7, 2017 at 12:15 AM, robertlazarski . <[hidden email]>
> wrote:
>>
>>
>>
>> On Wed, Dec 6, 2017 at 11:14 AM, robertlazarski .
>> <[hidden email]> wrote:
>>>
>>>
>>>
>>> On Wed, Dec 6, 2017 at 10:35 AM, robertlazarski .
>>> <[hidden email]> wrote:
>>>>
>>>>
>>>>
>>>> On Wed, Dec 6, 2017 at 9:00 AM, akash prasad <[hidden email]>
>>>> wrote:
>>>>>
>>>>> Yes one of the jsp file have not updated. But still i am not able to
>>>>> see my services. Is there any configuration changes or need to add any other
>>>>> node or so in services.xml file.
>>>>> I have compared with the samples as well. I couldn't find any
>>>>> difference but not sure though.
>>>>>
>>>>> On Wed, Dec 6, 2017 at 7:14 PM, Andreas Veithen
>>>>> <[hidden email]> wrote:
>>>>>>
>>>>>> My guess is that your Web app still has the JSP files from the old
>>>>>> Axis2 version. That won't work.
>>>>>>
>>>>>> Andreas
>>>>>>
>>>>>> On Wed, Dec 6, 2017 at 12:17 PM, akash prasad <[hidden email]>
>>>>>> wrote:
>>>>>> > Hi Team,
>>>>>> >
>>>>>> > Initially my Axis2 server was developed in 1.5.6 and now upgrading
>>>>>> > to the
>>>>>> > latest version. By looking into the release notes upgraded all the
>>>>>> > dependent
>>>>>> > libraries. Now i am facing the error as "Session creation forbidden"
>>>>>> > when i
>>>>>> > try to browse the list of services and also i am getting 500 error
>>>>>> > for the
>>>>>> > other requests, after looking into the source code found that
>>>>>> > "ForbidSessionCreationWrapper " has been included in 1.7.4 version.
>>>>>> > Is there
>>>>>> > any configuration change required to make it compatible my
>>>>>> > application with
>>>>>> > Axis2 latest version.
>>>>>> >
>>>>>> > Even i have made changes to my application as per the changes did
>>>>>> > for
>>>>>> > "Session Fixation"
>>>>>> >
>>>>>> > https://github.com/apache/axis2-java/commit/0959a27a51e844c7381ec1ad8a411861bba09b98
>>>>>> >
>>>>>> > Can you please provide some help with this.
>>>>>> >
>>>>>> > Thanks in advance.
>>>>>> >
>>>>>> > Regards,
>>>>>> > Akash Prasad.
>>>>>>
>>>>>> ---------------------------------------------------------------------
>>>>>> To unsubscribe, e-mail: [hidden email]
>>>>>> For additional commands, e-mail: [hidden email]
>>>>>>
>>>>>
>>>>
>>>> You should be able to hit localhost:8080/axis2-web/ or whatever your url
>>>> is, and see the "happy axis2" page.
>>>>
>>>> One quick thing to verify is your axis2.war/axis2-web and
>>>> axis2.war/WEB-INF/include dirs match the supplied dirs in the axis2 distro.
>>>>
>>>> Kind regards,
>>>> Robert
>>>>
>>>>
>>>
>>> Looked more into this ... there is also another dir needed,
>>> axis2.war/WEB-INF/views .
>>>
>>> Also seeing this error when clicking axis2-web/HappyAxis.jsp , seems to
>>> referencing an older httpclient class no longer in the distro, maybe Andreas
>>> can comment.
>>>
>>>
>>> INFO   | jvm 1    | 2017/12/06 13:05:45 | Caused by:
>>> javax.servlet.ServletException: java.lang.NoClassDefFoundError:
>>> org/apache/commons/httpclient/HttpConnectionManager
>>> INFO   | jvm 1    | 2017/12/06 13:05:45 |       at
>>> org.apache.jasper.runtime.PageContextImpl.doHandlePageException(PageContextImpl.java:889)
>>> INFO   | jvm 1    | 2017/12/06 13:05:45 |       at
>>> org.apache.jasper.runtime.PageContextImpl.handlePageException(PageContextImpl.java:818)
>>> INFO   | jvm 1    | 2017/12/06 13:05:45 |       at
>>> org.apache.jsp.axis2_002dweb.HappyAxis_jsp._jspService(HappyAxis_jsp.java:567)
>>> INFO   | jvm 1    | 2017/12/06 13:05:45 |       at
>>> org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:70)
>>> INFO   | jvm 1    | 2017/12/06 13:05:45 |       at
>>> javax.servlet.http.HttpServlet.service(HttpServlet.java:790)
>>> INFO   | jvm 1    | 2017/12/06 13:05:45 |       at
>>> org.apache.jasper.servlet.JspServletWrapper.service(JspServletWrapper.java:433)
>>> INFO   | jvm 1    | 2017/12/06 13:05:45 |       ... 61 more
>>> INFO   | jvm 1    | 2017/12/06 13:05:45 | Caused by:
>>> java.lang.NoClassDefFoundError:
>>> org/apache/commons/httpclient/HttpConnectionManager
>>> INFO   | jvm 1    | 2017/12/06 13:05:45 |       at
>>> org.apache.axis2.transport.http.CommonsHTTPTransportSender.createHTTPSender(CommonsHTTPTransportSender.java:414)
>>> INFO   | jvm 1    | 2017/12/06 13:05:45 |       at
>>> org.apache.axis2.transport.http.CommonsHTTPTransportSender.writeMessageWithCommons(CommonsHTTPTransportSender.java:380)
>>>
>>
>> Actually I see the problem, I missed a spot in axis2.xml that needs to
>> replace CommonsHTTPTransportSender
>> with
>> org.apache.axis2.transport.http.impl.httpclient4.HTTPClient4TransportSender
>> .
>>
>> Seeing this error now when clicking happyaxis.jsp , TBH I always click
>> /listservices .  May look more into this later.
>>
>> INFO   | jvm 1    | 2017/12/06 13:41:29 | Caused by:
>> javax.servlet.ServletException: java.lang.NoClassDefFoundError:
>> org/apache/commons/httpclient/NTCredentials
>>
>> -R
>
>

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]